Subject: Re: bug#5844: Feature Request: ccmp feature for Indic Languages...

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Jun 2021 14:14:08 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Thu, 03 Jun 2021 11:11:37 +0200
> Cc: [email-masked],
>  പ്രവീണ്‍|Praveen എ|A
>  <[email-masked]>
> 
> Naveen Kumar <[email-masked]> writes:
> 
> > References: 
> > 1. https://bugzilla.redhat.com/show_bug.cgi?id=543906
> >
> > 2. https://bugzilla.redhat.com/show_bug.cgi?id=497090
> >
> > 3. http://bugs.icu-project.org/trac/ticket/7601
> >
> > 4. https://bugs.freedesktop.org/show_bug.cgi?id=27485
> >
> > Decomposition is sometimes required for contextual alternates. Pango as well as
> > uniscribe, seem to have this feature for indic (CTL scripts).
> 
> (I'm going through old bug reports that unfortunately got no response at
> the time.)
> 
> This was 11 years ago, and Emacs has in the meantime changed a lot how
> various scripts are composed.  I haven't looked closely at the URLs
> included -- is this still an issue in recent Emacs versions?

I've read all the references, and I don't understand why this issue is
in our bug tracker.  The referenced issues were raised against fonts
and/or shaping engines, and Emacs is just the user of those.  In
addition, my reading of the issues is that HarfBuzz processes these
scripts and fonts correctly, and since HarfBuzz is nowadays the
default shaping engine in Emacs (including on MS-Windows), Emacs
should be fine in this regard.

So I think there's nothing here for us to do, and I'm closing this bug
report.

Thanks.